from django.urls import path

from . import views

urlpatterns = [
    path('', views.index, name='index'),
    path('tasks/',
         views.TasksList.as_view(),
         name='tasks'),
    path('stories/',
         views.StoriesList.as_view(),
         name='stories'),
    path('developers/',
         views.DevelopersList.as_view(),
         name='developers'),
    path('stories/<int:story_id>/',
         views.StoryDetails.as_view(),
         name='story'),
    path('tasks/<int:task_id>/',
         views.TaskDetails.as_view(),
         name='task'),
    path('developers/<int:developer_id>/',
         views.DeveloperDetails.as_view(),
         name='developer'),
    path('stories/add/',
         views.AddStory.as_view(),
         name='addstory'),
    path('tasks/add/',
         views.AddTask.as_view(),
         name='addtask'),
    path('developers/add/',
         views.AddDeveloper.as_view(),
         name='adddeveloper'),
    path('spenttime/add/',
         views.AddSpentTime.as_view(),
         name='addspenttime'),
    path('devtime/',
         views.DevelopersTime.as_view(),
         name='devtime'),
    path('stories/<int:story_id>/delete/',
         views.DeleteStory.as_view(),
         name='deletestory'),
    path('tasks/<int:task_id>/delete/',
         views.DeleteTask.as_view(),
         name='deletetask'),
    path('developers/<int:developer_id>/delete/',
         views.DeleteDeveloper.as_view(),
         name='deletedeveloper'),
    path('time/<int:time_id>/delete/',
         views.DeleteStory.as_view(),
         name='deletetime'),
    ]
